ConsistencyLevel (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum ConsistencyLevel

- java.lang.Object
- - java.lang.Enum<ConsistencyLevel>
  - - org.apache.cassandra.db.ConsistencyLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConsistencyLevel>

      public enum ConsistencyLevel
      extends java.lang.Enum<ConsistencyLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `ANY`
    `EACH_QUORUM`
    `LOCAL_ONE`
    `LOCAL_QUORUM`
    `LOCAL_SERIAL`
    `ONE`
    `QUORUM`
    `SERIAL`
    `THREE`
    `TWO`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `code`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assureSufficientLiveNodes(Keyspace keyspace, java.lang.Iterable<java.net.InetAddress> liveEndpoints)`
    `int` | `blockFor(Keyspace keyspace)`
    `int` | `countLocalEndpoints(java.lang.Iterable<java.net.InetAddress> liveEndpoints)`
    `java.util.List<java.net.InetAddress>` | `filterForQuery(Keyspace keyspace, java.util.List<java.net.InetAddress> liveEndpoints)`
    `java.util.List<java.net.InetAddress>` | `filterForQuery(Keyspace keyspace, java.util.List<java.net.InetAddress> liveEndpoints, ReadRepairDecision readRepair)`
    `static ConsistencyLevel` | `fromCode(int code)`
    `boolean` | `isDatacenterLocal()`
    `boolean` | `isLocal(java.net.InetAddress endpoint)`
    `boolean` | `isSerialConsistency()`
    `boolean` | `isSufficientLiveNodes(Keyspace keyspace, java.lang.Iterable<java.net.InetAddress> liveEndpoints)`
    `void` | `validateCounterForWrite(CFMetaData metadata)`
    `void` | `validateForCas()`
    `void` | `validateForCasCommit(java.lang.String keyspaceName)`
    `void` | `validateForRead(java.lang.String keyspaceName)`
    `void` | `validateForWrite(java.lang.String keyspaceName)`
    `static ConsistencyLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConsistencyLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final ConsistencyLevel ANY

    - #### ONE

          public static final ConsistencyLevel ONE

    - #### TWO

          public static final ConsistencyLevel TWO

    - #### THREE

          public static final ConsistencyLevel THREE

    - #### QUORUM

          public static final ConsistencyLevel QUORUM

    - #### ALL

          public static final ConsistencyLevel ALL

    - #### LOCAL_QUORUM

          public static final ConsistencyLevel LOCAL_QUORUM

    - #### EACH_QUORUM

          public static final ConsistencyLevel EACH_QUORUM

    - #### SERIAL

          public static final ConsistencyLevel SERIAL

    - #### LOCAL_SERIAL

          public static final ConsistencyLevel LOCAL_SERIAL

    - #### LOCAL_ONE

          public static final ConsistencyLevel LOCAL_ONE

  - ### Field Detail

    - #### code

          public final int code

  - ### Method Detail

    - #### values

          public static ConsistencyLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConsistencyLevel c : ConsistencyLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConsistencyLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromCode

          public static ConsistencyLevel fromCode(int code)

    - #### blockFor

          public int blockFor(Keyspace keyspace)

    - #### isDatacenterLocal

          public boolean isDatacenterLocal()

    - #### isLocal

          public boolean isLocal(java.net.InetAddress endpoint)

    - #### countLocalEndpoints

          public int countLocalEndpoints(java.lang.Iterable<java.net.InetAddress> liveEndpoints)

    - #### filterForQuery

          public java.util.List<java.net.InetAddress> filterForQuery(Keyspace keyspace,
                                                                     java.util.List<java.net.InetAddress> liveEndpoints)

    - #### filterForQuery

          public java.util.List<java.net.InetAddress> filterForQuery(Keyspace keyspace,
                                                                     java.util.List<java.net.InetAddress> liveEndpoints,
                                                                     ReadRepairDecision readRepair)

    - #### isSufficientLiveNodes

          public boolean isSufficientLiveNodes(Keyspace keyspace,
                                               java.lang.Iterable<java.net.InetAddress> liveEndpoints)

    - #### assureSufficientLiveNodes

          public void assureSufficientLiveNodes(Keyspace keyspace,
                                                java.lang.Iterable<java.net.InetAddress> liveEndpoints)
                                         throws UnavailableException

      Throws:
        `UnavailableException`

    - #### validateForRead

          public void validateForRead(java.lang.String keyspaceName)
                               throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### validateForWrite

          public void validateForWrite(java.lang.String keyspaceName)
                                throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### validateForCasCommit

          public void validateForCasCommit(java.lang.String keyspaceName)
                                    throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### validateForCas

          public void validateForCas()
                              throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### isSerialConsistency

          public boolean isSerialConsistency()

    - #### validateCounterForWrite

          public void validateCounterForWrite(CFMetaData metadata)
                                       throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation